<div class="bg-img">
  <div id="users">

    <mat-tab-group color="accent">

      <mat-tab>
        <div class="container">
          <ng-template mat-tab-label>
            <mat-icon class="example-tab-icon">supervised_user_circle</mat-icon>
            Users
          </ng-template>

          <mat-form-field fxFlex="40%" appearance="outline" color="accent">
            <mat-label>Filter</mat-label>
            <input matInput type="text" (keyup)="doFilter($event.target.value)" placeholder="Filter">
          </mat-form-field>

          <button mat-fab color="accent" id="sync" matTooltip="Sync Database"
            aria-label="Example icon button with a delete icon" (click)="syncDb()">
            <mat-icon>sync</mat-icon>
          </button>

          <a routerLink="add" mat-fab color="accent" id="add" matTooltip="Add New User">
            <mat-icon>person_add</mat-icon>
          </a>

          <div class="mat-elevation-z8">
            <table mat-table [dataSource]="this.dataSource" matSort>

              <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
                <td mat-cell *matCellDef="let user"> {{user.name}} </td>
              </ng-container>
              <ng-container matColumnDef="age">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Age </th>
                <td mat-cell *matCellDef="let user"> {{user.age}} </td>
              </ng-container>
              <ng-container matColumnDef="pic">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Picture </th>
                <td mat-cell *matCellDef="let user"> <img [src]="createImgPath(user.imageURL)"
                    alt="/src/assets/images/RidePalLogo.ico" style="width:60px; height:60px;"> </td>
              </ng-container>
              <ng-container matColumnDef="email">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
                <td mat-cell *matCellDef="let user"> {{user.email}} </td>
              </ng-container>

              <ng-container matColumnDef="username">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Username </th>
                <td mat-cell *matCellDef="let user"> {{user.userName}} </td>
              </ng-container>

              <ng-container matColumnDef="role">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Role </th>
                <td mat-cell *matCellDef="let user"> {{user.role}} </td>
              </ng-container>

              <ng-container matColumnDef="update">
                <th mat-header-cell *matHeaderCellDef> Update </th>
                <td mat-cell *matCellDef="let user">
                  <a routerLink="edit/{{user.id}}" mat-icon-button color="accent">
                    <mat-icon class="mat-18">system_update</mat-icon>
                  </a>
                </td>
              </ng-container>
              <ng-container matColumnDef="delete">
                <th mat-header-cell *matHeaderCellDef> Delete </th>
                <td mat-cell *matCellDef="let user">
                  <button mat-icon-button color="warn" (click)="openUserDeleteDialog(user.id)"
                    [disabled]="user.isDeleting">
                    <mat-icon class="mat-18">delete</mat-icon>
                  </button>
                </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
              <tr mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></tr>
            </table>

            <mat-paginator [pageSize]="8" color="accent" [pageSizeOptions]="[3, 5, 8, 10, 20]"></mat-paginator>

          </div>
        </div>

      </mat-tab>

      <mat-tab>
        <ng-template mat-tab-label>
          <mat-icon class="example-tab-icon">library_music</mat-icon>
          Playlists
        </ng-template>
        <div class="container">
          <app-playlist-admin></app-playlist-admin>
        </div>
      </mat-tab>

    </mat-tab-group>

  </div>
</div>